Name:          libgsasl
Version:       1.8.1
Release:       1mamba
Summary:       An implementation of the Simple Authentication and Security Layer framework and a few common SASL mechanisms
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.gnu.org/software/gsasl/
Source:        http://download.savannah.nongnu.org/releases/gsasl/gsasl-%{version}.tar.gz
#Source:        ftp://ftp.gnu.org/pub/gnu/gsasl/libgsasl-%{version}.tar.gz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcrypt-devel
BuildRequires: libgpg-error-devel
BuildRequires: libgss-devel
BuildRequires: libidn-devel
BuildRequires: libntlm-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
GNU SASL is an implementation of the Simple Authentication and Security Layer framework and a few common SASL mechanisms. SASL is used by network servers (e.g., IMAP, SMTP) to request authentication from clients, and in clients to authenticate against servers.
GNU SASL consists of a library (`libgsasl'), a command line utility (`gsasl') to access the library from the shell, and a manual. The library includes support for the SASL framework (with authentication functions and application data privacy and integrity functions) and at least partial support for the CRAM-MD5, EXTERNAL, GSSAPI, ANONYMOUS, PLAIN, SECURID, DIGEST-MD5, LOGIN, NTLM and KERBEROS_V5 mechanisms. 

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      gsasl = %{?epoch:%epoch:}%{version}-%{release}

%description devel
GNU SASL is an implementation of the Simple Authentication and Security Layer framework and a few common SASL mechanisms. SASL is used by network servers (e.g., IMAP, SMTP) to request authentication from clients, and in clients to authenticate against servers.
GNU SASL consists of a library (`libgsasl'), a command line utility (`gsasl') to access the library from the shell, and a manual. The library includes support for the SASL framework (with authentication functions and application data privacy and integrity functions) and at least partial support for the CRAM-MD5, EXTERNAL, GSSAPI, ANONYMOUS, PLAIN, SECURID, DIGEST-MD5, LOGIN, NTLM and KERBEROS_V5 mechanisms.
This package contains static libraries and header files need for development.

%package -n gsasl
Summary:       An implementation of the Simple Authentication and Security Layer framework and a few common SASL mechanisms
Group:         System/Tools
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n gsasl
GNU SASL is an implementation of the Simple Authentication and Security Layer framework and a few common SASL mechanisms. SASL is used by network servers (e.g., IMAP, SMTP) to request authentication from clients, and in clients to authenticate against servers.
GNU SASL consists of a library (`libgsasl'), a command line utility (`gsasl') to access the library from the shell, and a manual. The library includes support for the SASL framework (with authentication functions and application data privacy and integrity functions) and at least partial support for the CRAM-MD5, EXTERNAL, GSSAPI, ANONYMOUS, PLAIN, SECURID, DIGEST-MD5, LOGIN, NTLM and KERBEROS_V5 mechanisms.

%prep
%setup -q -n gsasl-%{version}
#-D -T

%build
#:<< _EOF
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name}
%find_lang gsasl

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_libdir}/libgsasl.so.*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/gsasl*.h
%{_libdir}/libgsasl.a
%{_libdir}/libgsasl.la
%{_libdir}/libgsasl.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man1/gsasl.1*
%{_mandir}/man3/gsasl_*.3*
%doc ChangeLog NEWS README THANKS

%files -n gsasl -f gsasl.lang
%defattr(-,root,root)
%{_bindir}/gsasl
%{_mandir}/man1/gsasl.1*
%{_infodir}/gsasl.info*

%changelog
* Sat Oct 26 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.1-1mamba
- update to 1.8.1

* Mon Jun 11 2012 Automatic Build System <autodist@mambasoft.it> 1.8.0-1mamba
- automatic version update by autodist

* Tue May 10 2011 Automatic Build System <autodist@mambasoft.it> 1.6.1-1mamba
- automatic update by autodist

* Thu Dec 16 2010 Automatic Build System <autodist@mambasoft.it> 1.6.0-1mamba
- automatic update by autodist

* Sun Nov 28 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.4-2mamba
- rebuilt to add pkgconfig provide

* Sat Apr 17 2010 Automatic Build System <autodist@mambasoft.it> 1.4.4-1mamba
- automatic update by autodist

* Wed Jan 20 2010 Automatic Build System <autodist@mambasoft.it> 1.4.0-1mamba
- automatic update by autodist

* Sun Oct 11 2009 Automatic Build System <autodist@mambasoft.it> 1.3-1mamba
- automatic update by autodist

* Sun Jun 21 2009 Automatic Build System <autodist@mambasoft.it> 1.2-1mamba
- automatic update by autodist

* Fri Apr 17 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1-1mamba
- package created by autospec
